Bazel release process: Fix broken "git push" by setting direct push j… (#19747)

…ustification.

PiperOrigin-RevId: 571307569
Change-Id: I4e5d40cf5cccde9137d075db3604e4215a089eb3
diff --git a/scripts/release/release.sh b/scripts/release/release.sh
index 69f1e31..701e311 100755
--- a/scripts/release/release.sh
+++ b/scripts/release/release.sh
@@ -159,7 +159,7 @@
 # Force push a ref $2 to repo $1 if exists
 function __push_if_exists() {
   if git show-ref -q "${2}"; then
-    git push -f "${1}" "+${2}"
+    git push -f "${1}" "+${2}" -o push-justification b/303672453
   fi
 }
 
@@ -183,7 +183,7 @@
   do
     echo "Deleting ${branch}"
     git branch -D "${branch}" &>/dev/null || true
-    git push -f "${RELEASE_REPOSITORY}" ":${branch}" &>/dev/null || true
+    git push -f "${RELEASE_REPOSITORY}" ":${branch}" -o push-justification b/303672453 &>/dev/null || true
   done
 }
 
@@ -223,7 +223,7 @@
     trap - EXIT
 
     echo "Pushing the change to remote repositories"
-    git push "${MASTER_REPOSITORY}" +master
+    git push "${MASTER_REPOSITORY}" +master -o push-justification b/303672453
     __push_ref "refs/tags/${tag_name}"
   fi
 }